Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools XML Security Java API Reference 10g Release 3 (10.1.3) B25383-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.xmlsec.keys.retrieval
Class StorageAuthAdapter

`java.lang.Object
oracle.security.xmlsec.keys.retrieval.StorageAuthAdapter`

All Implemented Interfaces:
  StorageAuthenticator

public abstract class StorageAuthAdapter
extends java.lang.Object
implements StorageAuthenticator

Classes extending this adapter class perform authentication for access to specific key stores or locator services.

Since:
  1.2

Constructor Summary
`protected` | `StorageAuthAdapter()`

Method Summary
`abstract void` | `getCredential()` This method is implemented by subclasses to obtain the authentication credentials from the system or user.
`void` | `getCredential(java.lang.String prompt)` This method is implemented by subclasses to obtain the authentication credentials from the system or user.
`java.lang.String` | `getPassword()` Returns the password.
`java.lang.String` | `getUsername()` Returns the username.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StorageAuthAdapter

    protected StorageAuthAdapter()

Method Detail

### getCredential

    public abstract void getCredential()
                                throws StorageAuthenticationException

  This method is implemented by subclasses to obtain the authentication credentials from the system or user.
  Specified by:
    `getCredential` in interface `StorageAuthenticator`
  Throws:
    `StorageAuthenticationException`

### getCredential

    public void getCredential(java.lang.String prompt)
                       throws StorageAuthenticationException

  This method is implemented by subclasses to obtain the authentication credentials from the system or user. If not overriden, this method just calls `getCredential()`.
  Specified by:
    `getCredential` in interface `StorageAuthenticator`
  Parameters:
    `prompt` - A string prompt for user interaction.
  Throws:
    `StorageAuthenticationException`

### getUsername

    public java.lang.String getUsername()
                                 throws StorageAuthenticationException

  Returns the username. If this method is not overridden it always throws a `StorageAuthenticationException`.
  Specified by:
    `getUsername` in interface `StorageAuthenticator`
  Throws:
    `StorageAuthenticationException`

### getPassword

    public java.lang.String getPassword()
                                 throws StorageAuthenticationException

  Returns the password. If this method is not overridden it always throws a `StorageAuthenticationException`.
  Specified by:
    `getPassword` in interface `StorageAuthenticator`
  Throws:
    `StorageAuthenticationException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools XML Security Java API Reference 10g Release 3 (10.1.3) B25383-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.